Bug 58380 - no way in "linux rescue" mode to mount a filesystem read-only
no way in "linux rescue" mode to mount a filesystem read-only
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-01-15 10:02 EST by Jonathan Kamens
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-01-15 10:02:04 EST
The "mount" program included in "linux rescue" mode apparently does not allow a
filesystem to be mounted read-only.  This is rather unfortunate, because, e.g.,
if you know that your root filesystem is hosed, you may need to mount it
read-only to get at the programs in it so that you can complete the rescue.
Comment 1 Jeremy Katz 2002-01-15 12:29:06 EST
Same as 58379 :)
Comment 2 Jeremy Katz 2002-03-05 18:22:11 EST
Made it so that you have the chance to select mounting as read-only when first
mounting filesystems in rescue mode.  Also, the switch to busybox mount lets you
use read-only mount from the command-line
Comment 3 Red Hat Bugzilla 2006-02-21 13:48:20 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.